Summary:	Frysk execution analysis tool
Name:		frysk
Version:	0.0.1.2007.06.21.rh2
Release:	4%{?dist}
License:	GPL
Group:		Development/System
URL:		http://sourceware.org/frysk
Source:		%{name}-%{version}.tar.bz2

%define run_make_check 0

%if %{run_make_check}
# Disable the test which fails when building on older kernel.
Patch0:		frysk-xfail-2130.patch
%endif
Patch1:		frysk-asm-h-comments.patch
Patch2:		frysk-dwfl-reorder-crc32.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Requires:	glib-java >= 0.2.6

BuildRequires:  gcc-java >= 4.1.1
BuildRequires:	junit >= 3.8.1
BuildRequires:  antlr >= 2.7.4 
BuildRequires:	jdom >= 1.0
BuildRequires:  libgtk-java-devel >= 2.8.4
BuildRequires:	libglade-java-devel >= 2.12.3
BuildRequires:  cairo-java-devel >= 1.0.3
BuildRequires:  cairo-devel >= 1.0.0
BuildRequires:  gtk2-devel >= 2.8.0
BuildRequires:	libglade2-devel >= 2.5.1
BuildRequires:	libgconf-java-devel
BuildRequires:	libvte-java-devel >= 0.12.0
BuildRequires:  vte-devel >= 0.12.1
BuildRequires:  xmlto
BuildRequires:  sharutils
BuildRequires:	transfig >= 3.2.0 
BuildRequires:	gnome-python2-gconf
BuildRequires:	audit-libs-devel
BuildRequires:  autoconf automake libtool

# Fedora Core >= 6 and RHEL:
%if "%{?fedora}" != "5"
BuildRequires:	binutils-devel
BuildRequires:	dogtail >= 0.5.2

%ifarch x86_64 ppc64
# Ensure glibc{,-devel} is installed for both multilib arches
BuildRequires: /lib/libc.so.6 /usr/lib/libc.so /lib64/libc.so.6 /usr/lib64/libc.so
%endif

# Needed by "dogtail-run-headless -n":
Buildrequires:	metacity
%endif

ExclusiveArch: %{ix86} x86_64 ppc64

# We do not want to build a ``cross-debugging version'' i686->i386;
# libunwind build would get confused by this.  Override the cmd-line
# --target option:
%ifarch %{ix86}
%define _target_cpu %{_host_cpu}
%endif

%description
Frysk is an execution-analysis technology implemented using native Java and C++.
It is aimed at providing developers and sysadmins with the ability to both
examine and analyze running multi-host, multi-process, multi-threaded systems.
Frysk allows the monitoring of running processes and threads, of locking
primitives and will also expose deadlocks, gather data and debug any given
process in the system.

%package devel
Summary:        The development part of Frysk.
Group:		Development/System
Requires:       %{name} = %{version}-%{release}

%description devel
Frysk is an execution-analysis technology implemented using native Java and C++.
This package contains the development part of Frysk.

%package gnome
Summary:        The GUI frontend of Frysk.
Requires:       %{name} = %{version}-%{release}
Group:		Development/System
Requires:   	libgconf-java
Requires:   	libglade-java >= 2.12.5
Requires: 	libvte-java >= 0.12.0

%description gnome
Frysk is an execution-analysis technology implemented using native Java and C++.
It is aimed at providing developers and sysadmins with the ability to both
examine and analyze running multi-host, multi-process, multi-threaded systems.
Frysk allows the monitoring of running processes and threads, of locking
primitives and will also expose deadlocks, gather data and debug any given
process in the system.

This package contains the GUI front end for Frysk.

%prep
%setup -q -n %{name}-%{version}
pwd
%if %{run_make_check}
%patch0
%endif
%patch1
%patch2

./bootstrap.sh

# This is needed for the libunwind.patch, because we do not run bootstrap.sh:
echo 'lib/unwind/cni/FrameCursor.o: lib/unwind/UnwindException.h' >>frysk-imports/Makefile.in

%build 

export JAVAC=${JAVAC:-/usr/bin/gcj -C}
export GCJ=${GCJ:-/usr/bin/gcj}
export GIJ=${GIJ:-/usr/bin/gij}
export JAR=${JAR:-/usr/bin/fastjar}
export GCJH=${GCJH:-/usr/bin/gcjh}
export GCJ_DBTOOL=${GCJ_DBTOOL:-/usr/bin/gcj-dbtool}
export GCC=${GCC:-/usr/bin/gcc}
export CC=${CC:-/usr/bin/gcc}
export CXX=${CXX:-/usr/bin/g++}
export JAVA=${JAVA:-/usr/bin/gij}
export JV_SCAN=${JV_SCAN:-/usr/bin/jv-scan}

uname -a
gcc --version
pwd
mkdir -p build
cd build

# Capture the configure line
echo '../configure "$@"' > configure
chmod a+x configure
# FIXME: Warnings should be fixed, not suppressed:
RPM_OPT_FLAGS=${RPM_OPT_FLAGS/-Wp,-D_FORTIFY_SOURCE=2 /}
%configure CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" --disable-arch32-tests

# Build system can end up with corrupt xmllint files:
touch frysk-gui/glade.catalog
touch frysk-gui/checked-glade-xml

%ifarch x86_64 ppc64
# A workaround for bug 3881:
make -C frysk-imports pkglibdir='$(pkglib32dir)' frysk/pkglibdir/fsystest.8
make -C frysk-core pkglibdir='$(pkglib32dir)' frysk/pkglibdir/funit{,-child,-exec,-exit,-threads}.8
make -C frysk-gui pkglibdir='$(pkglib32dir)' frysk/pkglibdir/ftail.8
%endif

make %{?_smp_mflags}

%if %{run_make_check}
%check
make %{?_smp_mflags} -k check || :
%endif

%install

rm -rf %{buildroot}

# Workaround for bug #??:
mkdir -p $RPM_BUILD_ROOT/usr/share/frysk

pwd
cd build
make  DESTDIR=$RPM_BUILD_ROOT  install %{?_smp_mflags}

# Fix timestamp of a generated script:
touch -r ../frysk-gui/frysk/gui/FryskGui.javain \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/dogtail_scripts/frysk_suite.py
# ...and a few other ones:
for f in test2866.py test2985.py test3380.py; do
	touch -r ../frysk-gui/frysk/gui/test/dogtail_scripts/$f \
		$RPM_BUILD_ROOT%{_datadir}/%{name}/dogtail_scripts/$f
done

# Workaround for #211824:
rm $RPM_BUILD_ROOT%{_datadir}/java/*.jar

# We are not yet ready to be in the menu:
mv $RPM_BUILD_ROOT%{_datadir}/applications/frysk.desktop ..

# Stray installed file.
rm $RPM_BUILD_ROOT%{_datadir}/%{name}/ChangeLog

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING frysk-imports/common/EXCEPTION
%{_bindir}/ftrace
%{_bindir}/fstack
%{_bindir}/fcore
%{_bindir}/fparser
%{_bindir}/fstep
%{_bindir}/fcatch
%{_bindir}/fhpd
%{_libdir}/libfrysk-antlr.so
%{_libdir}/libfrysk-cdtparser.so
%{_libdir}/libfrysk-core.so
%{_libdir}/libfrysk-getopt.so
%{_libdir}/libfrysk-imports.so
%{_libdir}/libfrysk-jdom.so
%{_libdir}/libfrysk-jline.so
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/messages.properties
%{_mandir}/man1/*

%files devel
%defattr(-,root,root)
%{_libdir}/libfrysk-junit.so
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/hpd-c
%{_libdir}/%{name}/test1
%{_libdir}/%{name}/test_main_looper
%{_libdir}/%{name}/funit*
%{_libdir}/%{name}/ftail
%{_libdir}/%{name}/fsystest
%{_libdir}/%{name}/sys-tests
%{_datadir}/%{name}/helloworld.o
%{_datadir}/%{name}/test-core
%{_datadir}/%{name}/test-core-mt-fp
%{_datadir}/%{name}/test_looper.xml
%{_datadir}/%{name}/dogtail_scripts
%{_mandir}/man8/*

%files gnome
%defattr(-,root,root)
%{_bindir}/frysk
%{_libdir}/libEggTrayIcon.so
%{_libdir}/libfrysk-ftk.so
%{_libdir}/libfrysk-gtk.so
%{_libdir}/libfrysk-gui.so
%{_libdir}/libftk*.so
%{_datadir}/%{name}/glade
%{_datadir}/%{name}/images
# Move frysk.desktop to docdir.
#%{_datadir}/applications/frysk.desktop
%doc frysk.desktop
%dir %{_datadir}/gnome/help/%{name}
%{_datadir}/gnome/help/%{name}/*
%{_datadir}/pixmaps/fryskTrayIcon48.png

%changelog
* Tue Jun 26 2007 Andrew Cagney <cagney@redhat.com> - 0.0.1.2007.06.21.rh2-4
- Enable ppc64 build
- Apply frysk-dwfl-reorder-crc32.patch, work around #245424.
- Make dependant on autoconf and automake, and libtool.
- Related: #224452

* Mon Jun 25 2007 Andrew Cagney <cagney@redhat.com> - 0.0.1.2007.06.21.rh2-3
- Disable ppc64 build.
- Related: #224452

* Fri Jun 22 2007 Andrew Cagney <cagney@redhat.com> - 0.0.1.2007.06.21.rh2-2
- Add frysk-asm-h-comments.patch; work-around building of .asm files on PPC.
- Related: #224452

* Fri Jun 22 2007 Andrew Cagney <cagney@redhat.com> - 0.0.1.2007.06.21.rh2-1
- Fix exclusion of frysk.desktop
- Fix datadir for dogtail scripts.
- Import frysk-0.0.1.2007.06.21.rh2 tar ball; includes missing
  ChangeLog and dogtail files.
- Fix path for timestamping dogtail scripts.
- Run make install from build tree.
- Related: #224452

* Thu Jun 21 2007 Andrew Cagney <cagney@redhat.com> - 0.0.1.2007.06.21.rh1-2
- Remember to bump release number.
- Build in a separate directory.
- Related: #224452

* Tue Jun  19 2007 Andrew Cagney <cagney@redhat.com> - 0.0.1.2007.06.21.rh1-1
- Import new tar ball: frysk-0.0.1.2007.06.21.rh1.tar.bz2
- Remove patch frysk-no-dejagnu.patch; frysk doesn't use dejagnu.
- Remove patches frysk-20060922-a-cast.patch,
  frysk-20070106-TestFStack.patch, frysk-20070124-libunwind.patch;
  fixed in new tarball upstream.
- Related: #224452 - 64-bit fstack works on 32-bit process
- Related: #218410 - non-main task's waitpid exited status lost when tracing
- Related: #202953 - can observe init
- Related: #203388 - add --include and --exclude to TestRunner

* Tue Feb  6 2007 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.12.22.rh1-8
- Do not delete the .desktop file, nove it to docdir.
- Related: #211200

* Tue Jan 30 2007 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.12.22.rh1-7
- Move the requirement for libgconf-java to subpackage frysk-gnome.
- Resolves: #225401.

* Thu Jan 25 2007 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.12.22.rh1-6
- Fix the mistake which I made while backporting the TestFStack patch.
- Related: #224248

* Wed Jan 24 2007 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.12.22.rh1-5
- Add frysk-20070106-TestFStack.patch frysk-20070124-libunwind.patch .
- Resolves: #224248

* Wed Jan 17 2007 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.12.22.rh1-4
- Second iteration to make section 8 man pages platform-independent.
- Resolves: #222468

* Wed Jan 17 2007 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.12.22.rh1-3
- Make the contents of section 8 man pages platform-independent.
- Resolves: #222468
- Move section 8 man pages to frysk-devel, where the corresponding utilities
  reside.

* Wed Jan 17 2007 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.12.22.rh1-2
- Fix time stamps of installed *.py files, which ...
- Resolves: #222468

* Tue Dec 19 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.12.22.rh1-1
- New upstream version.
- libexecdir -> libdir and other file list updates
- Remove frysk-arch32-disable.patch, use --disable-arch32-tests instead.
- Add frysk-no-dejagnu.patch and create $RPM_BUILD_ROOT${pkgdatadir},
  to work around a bug in install-dejagnu-testsuite-local rule.
- Resolves: #218819

* Tue Dec 19 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.12.01.rh1-4
- Add frysk-20061201-i386_is_not_64bit.patch
- Related: #218835

* Tue Dec 19 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.12.01.rh1-3
- Use libexecdir with the old version.
- Related: #218835

* Mon Dec 18 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.12.01.rh1-2
- Fix typo in the previous chlog entry.
- Resolves: #211200

* Mon Dec 18 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.12.01.rh1-2
- Do not install the .desktop file.
- Resolves: #211200
- Split to frysk, frysk-devel, and frysk-gnome; move the requires for gui
  java-gnome libraries to frysk-gnome.
- Resolves: #218835

* Fri Dec  1 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.12.01.rh1-2
- Related: #211775
- The ppc64 build works again.

* Fri Dec  1 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.12.01.rh1-1
- New upstream version.
- Resolves: #211288.

* Thu Nov 30 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.11.30.rh1-1
- New upstream version.
- The stamp file for glade files has been renamed.
- Disable ppc64 build.

* Mon Oct 30 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.10.30.rh1-1
- New upstream version.
- Do not apply frysk-xfail-2130.patch, we do not run make check anyway.
- Do not list the binaries in the file list; use `f*'.

* Mon Oct 23 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.10.23.rh1-1
- New upstream version.
- Do not pack the jars; they cause multilib conflicts.
- Add /usr/bin/fcrash to the file list.

* Tue Oct 17 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.10.17.rh1-1
- New upstream version.

* Fri Oct 13 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.10.13.rh1-1 
- New upstream version.

* Wed Oct 11 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.10.11.rh1-1
- New upstream version.

* Mon Oct  2 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.10.02.rh1-1
- New upstream version.

* Tue Sep 26 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.09.22.rh1-1
- New upstream version.
- Refresh frysk-xfail-2130.patch.
- Add frysk-20060922-a-cast.patch to fix a warning.
- Add fstack to the file list.

* Fri Sep 15 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.09.15.rh1-2
- BuildRequire binutils-devel.

* Fri Sep 15 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.09.15.rh1-1
- New upstream version.
- Make sure we are not building a ``cross-debugging'' libunwind on i686.

* Tue Sep 12 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.09.08.rh1-2
- Do not require dogtail on FC-5; it's not available there.

* Mon Sep 11 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.09.08.rh1-1
- New upstream version.

* Sat Sep  2 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.08.30.rh1-2
- Tried to build on 32bit ppc, but it does not work yet.

* Tue Aug 29 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.08.30.rh1-1
- New upstream version.
- Removed xorg-x11-xinit from BuildRequires, dogtail was fixed to require it.
- Build also on ppc64.

* Mon Aug 28 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.08.28.rh1-1
- New upstream version.
- Remove Patch1, the code now contains a real fix for bug #203902.

* Fri Aug 25 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.08.24.rh1-3
- Patch1 for bug #203902.

* Fri Aug 25 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.08.24.rh1-2
- Comment out the %%check section temporarily.

* Thu Aug 24 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.08.24.rh1-1
- New upstream version.
- Add Requires: libgconf-java

* Tue Aug 22 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.08.22.rh1-1
- New upstream version.
- Add BuildRequires: gnome-python2-gconf, remove BuildRequires: ghostscript.
- Add `uname -a' to %%check.

* Wed Aug 16 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.08.16.rh1-1
- New upstream version.

* Tue Aug 15 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.08.15.rh1-1
- New upstream version.
- Require latest java-gnome.
- frysk-xfail-2130.patch: fails if building on an old kernel.

* Wed Aug  9 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.08.09.rh1-1
- New upstream version, incorporates both the patches.

* Wed Aug  2 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.07.25.rh1-4
- Add make check to %%check
- Add patches to disable failing tests.

* Wed Aug  2 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.07.25.rh1-3
- BuildRequires latest dogtail

* Fri Jul 28 2006 Phil Muldoon <pmuldoon@redhat.com> -  0.0.1.2006.07.25.rh1-3
- Add dogtail to BuildRequires 

* Tue Jul 25 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.07.25.rh1-2
- Add ftrace to the file list.

* Tue Jul 25 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.07.25.rh1-1
- New upstream version.

* Sat Jul 22 2006 Thomas Fitzsimmons <fitzsim@redhat.com> - 0.0.1.2006.07.18.rh1-2
- Bump release number. (dist-fc6-java)

* Tue Jul 18 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.07.18.rh1-1
- New upstream version, incorporates the previous two patches.

* Wed Jul 18 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.07.14.rh1-2
- Add two patches from Phil Muldoon:
  frysk-20060714-observer.patch -- continue even though an observer cannot be load
  frysk-20060714-timer.patch -- fix incorrect usage of a core timer

* Wed Jul 14 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.07.14.rh1-1
- New upstream version.

* Wed Jul 13 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.07.13.rh1-1
- New upstream version.

* Wed Jul 12 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.07.12.rh2-1
- New upstream version.

* Wed Jul 12 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.07.12.rh1-1
- New upstream version.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.0.1.2006.06.28.rh1-0.1
- rebuild

* Wed Jun 28 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.06.28.rh1-1
- Remove  BuildRequires:  autoconf automake

* Tue Jun 27 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.06.28.rh1-0
- Refresh the tarball.
- Remove the patches, they are all upstream now.
- BuildRequires: sharutils, instead of gmime.
- Do not remove the unwanted files, they should not be installed anymore.
- Do not hide the menu entry.
- Do not call ./bootstrap.sh.

* Fri Jun 16 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.06.15-3
- Add the non-intermediate hack.
- Remove more unwanted files.
- Add patch to link statically with libelf; remove elfutils libraries.

* Fri Jun 16 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.06.15-2
- Suppress warnings caused by _FORTIFY_SOURCE=2
- Remove unwanted files.

* Fri Jun 16 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.06.15-1
- Add BuildRequires: libgconf-java-devel
- Update frysk-unistd.patch

* Thu Jun 15 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.06.15-0
- Refresh the tarball.
- Patch to fix Elf.cxx on 64bit.
- Anoter patch required by new linux/unistd.h.
- Add BuildRequires: ghostscript

* Thu Jun 15 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.06.14-1
- Patch for new linux/unistd.h.
- Patch to avoid scanf("%%a[..]").

* Thu Jun 14 2006 Stepan Kasal <skasal@redhat.com> - 0.0.1.2006.06.14-0
- New upstream version.
- Add BuildRequires: libglade2-devel >= 2.5.1
- Refresh other BuildRequires.
- Replace the noxmltest.patch patch by two touch commands.
- Add BuildRequires: autoconf automake, BuildRequires: gcc-java >= 4.1.1

* Thu May 18 2006 Stepan Kasal <skasal@redhat.com>    - 0.0.1.2006.02.19.rh2-0.FC5.3
- Add gmime to BuildRequires.

* Fri Mar 03 2006 Andrew Cagney <cagney@redhat.de> 0.0.1.2006.02.19.rh2-0.FC5.2
- Add Hidden=true to frysk.desktop file; from halfline; with fixes.
- Disable xml check in frysk-gui/.

* Wed Mar 01 2006 Andrew Cagney <cagney@redhat.de> 0.0.1.2006.02.19.rh2-0.FC5.1
- Add dependencies on latest Java-GNOME bindings.

* Wed Mar 01 2006 Andrew Cagney <cagney@redhat.de> 0.0.1.2006.02.19.rh2-0.FC5.0
- Import frysk 0.0.1.2006.02.19.rh2; works around bug #180637.
- Enable x86_64, update *-java BuildRequires; fix bug #183538.

* Tue Feb 21 2006 Karsten Hopp <karsten@redhat.de> 0.0.1.2006.02.19.rh1-0.FC5.1
- BuildRequires: xmlto

* Mon Feb 20 2006 Andrew Cagney <cagney@redhat.com> 0.0.1.2006.02.19.rh1-0.FC5.0
- Import frysk 0.0.1.2006.02.19.rh1 -- snapshot from middle of that day.

* Sat Feb 18 2006 Andrew Cagney <cagney@redhat.com> 0.0.1.2006.02.12-0.FC5.1
- Remove eclipse-cdt >= 3.0.0 from BuildRequires.  From Wu Zhou
  woodzltc@ibm.

* Sun Feb 12 2006 Andrew Cagney <cagney@redhat.com> 0.0.1.2006.02.12-0.FC5.0
- Import frysk 0.0.1.2006.02.12.

* Thu Feb 09 2006 Adam Jocksch <ajocksch@redhat.com> 0.0.1.2006.02.09-0.FC5.0
- Removed ftrace from %%files and added libexedir files and man pages.
- Imported new frysk tarball, 

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.0.1.2006.01.22-0.FC5.1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Feb 06 2006 Adam Jocksch <ajocksch@redhat.com> 0.0.1.2006.01.22-0.FC5.1
- Bumped version, rebuilt.

* Mon Jan 23 2006 Andrew Cagney <cagney@redhat.com> 0.0.1.2006.01.22-0.FC4.0
- Simplify .spec file (remove unused macro definitions).
- Import frysk 0.0.1.2006.01.22.
- Update -files; adding frysk.desktop and fryskTrayIcon48.png.

* Thu Dec 22 2005 Andrew Cagney <cagney@redhat.com> 0.0.1.2005.12.14.15.12-0.FC4.1
- Import frysk-0.0.1.2005.12.14.15.12 rpm.
- Drop build dependency java-1.4.2-gcj-compat-devel
- Apply Patch003, frysk-makefileam.patch.

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Nov 16  2005 Igor Foox <ifoox@redhat.com> 0.0.0.20051116-0.3
- Added jars under /usr/share/java to distribution.

* Mon Nov 16  2005 Igor Foox <ifoox@redhat.com> 0.0.0.20051116-0.1
- Update source.

* Mon Nov 16  2005 Igor Foox <ifoox@redhat.com> 0.0.0.20051114-0.3
- Removed runtime dependency for eclipse-cdt, changed buildtime eclipse-cdt dependency to 3.0.0.

* Mon Nov 16  2005 Igor Foox <ifoox@redhat.com> 0.0.0.20051114-0.2
- Changed dependency on frysk-cdtparser to eclipse-cdt (it was somehow magically reversed).

* Mon Nov 14  2005 Igor Foox <ifoox@redhat.com> 0.0.0.20051114-0.1
- Removed smp flags.

* Mon Nov 10  2005 Igor Foox <ifoox@redhat.com> 0.0.0.20051109-0.3
- Update source.

* Wed Nov 10  2005 Igor Foox <ifoox@redhat.com> 0.0.0.20051109-0.2
- Added ExclusiveArch for i386.

* Wed Nov 10  2005 Igor Foox <ifoox@redhat.com> 0.0.0.20051109-0.1
- Updated source, changed cdtparser dependency to eclipse-cdt. Added build
restriction to i386. Added %%{?_smp_flags} to make command.

* Fri Oct 28  2005 Igor Foox <ifoox@redhat.com> 0.0-2
- Validated all Requires and BuildRequires clauses, fixed some of them.
- Fixed bug with libdir detection based on architecture.

* Wed Oct 26  2005 Igor Foox <ifoox@redhat.com> 0.0-1
- Birth.
